interactions:
- request:
    body: '{"messages":[{"role":"system","content":"You are Manager. You''re great
      at delegating work about scoring.\nYour personal goal is: Coordinate scoring
      processes"},{"role":"user","content":"\nCurrent Task: Give me an integer score
      between 1-5 for the following title: ''The impact of AI in the future of work''\n\nThis
      is the expected criteria for your final answer: The score of the title.\nyou
      MUST return the actual complete content as the final answer, not a summary.\n\nThis
      is VERY important to you, your job depends on it!"}],"model":"gpt-4.1-mini","tool_choice":"auto","tools":[{"type":"function","function":{"name":"Delegate_work_to_coworker","description":"Delegate
      a specific task to one of the following coworkers: Scorer\nThe input to this
      tool should be the coworker, the task you want them to do, and ALL necessary
      context to execute the task, they know nothing about the task, so share absolutely
      everything you know, don''t reference things but instead explain them.","parameters":{"properties":{"task":{"description":"The
      task to delegate","title":"Task","type":"string"},"context":{"description":"The
      context for the task","title":"Context","type":"string"},"coworker":{"description":"The
      role/name of the coworker to delegate to","title":"Coworker","type":"string"}},"required":["task","context","coworker"],"type":"object"}}},{"type":"function","function":{"name":"Ask_question_to_coworker","description":"Ask
      a specific question to one of the following coworkers: Scorer\nThe input to
      this tool should be the coworker, the question you have for them, and ALL necessary
      context to ask the question properly, they know nothing about the question,
      so share absolutely everything you know, don''t reference things but instead
      explain them.","parameters":{"properties":{"question":{"description":"The question
      to ask","title":"Question","type":"string"},"context":{"description":"The context
      for the question","title":"Context","type":"string"},"coworker":{"description":"The
      role/name of the coworker to ask","title":"Coworker","type":"string"}},"required":["question","context","coworker"],"type":"object"}}}]}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '2121'
      content-type:
      - application/json
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-D0tqgEIcyklwV0sMWuYjVJeiiu7xx\",\n  \"object\":
        \"chat.completion\",\n  \"created\": 1769107054,\n  \"model\": \"gpt-4.1-mini-2025-04-14\",\n
        \ \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\":
        \"assistant\",\n        \"content\": null,\n        \"tool_calls\": [\n          {\n
        \           \"id\": \"call_d2uLPzeX0XgOMlTOhEs7vPXa\",\n            \"type\":
        \"function\",\n            \"function\": {\n              \"name\": \"Delegate_work_to_coworker\",\n
        \             \"arguments\": \"{\\\"task\\\":\\\"Provide an integer score
        between 1 and 5 for the title: 'The impact of AI in the future of work'. The
        score should reflect the relevance, clarity, and potential impact of the title
        based on typical academic or professional standards.\\\",\\\"context\\\":\\\"The
        title to score is 'The impact of AI in the future of work'. The score should
        be an integer from 1 to 5, where 1 indicates poor quality or low relevance,
        and 5 indicates excellent quality or high relevance.\\\",\\\"coworker\\\":\\\"Scorer\\\"}\"\n
        \           }\n          }\n        ],\n        \"refusal\": null,\n        \"annotations\":
        []\n      },\n      \"logprobs\": null,\n      \"finish_reason\": \"tool_calls\"\n
        \   }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 375,\n    \"completion_tokens\":
        124,\n    \"total_tokens\": 499,\n    \"prompt_tokens_details\": {\n      \"cached_tokens\":
        0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\":
        {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\":
        0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\":
        \"default\",\n  \"system_fingerprint\": \"fp_376a7ccef1\"\n}\n"
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Thu, 22 Jan 2026 18:37:36 GMT
      Server:
      - cloudflare
      Set-Cookie:
      - SET-COOKIE-XXX
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      access-control-expose-headers:
      - ACCESS-CONTROL-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '2026'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      x-envoy-upstream-service-time:
      - '2045'
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
- request:
    body: '{"messages":[{"role":"system","content":"You are Scorer. You''re an expert
      scorer, specialized in scoring titles.\nYour personal goal is: Score the title\nTo
      give my best complete final answer to the task respond using the exact following
      format:\n\nThought: I now can give a great answer\nFinal Answer: Your final
      answer must be the great and the most complete as possible, it must be outcome
      described.\n\nI MUST use these formats, my job depends on it!"},{"role":"user","content":"\nCurrent
      Task: Provide an integer score between 1 and 5 for the title: ''The impact of
      AI in the future of work''. The score should reflect the relevance, clarity,
      and potential impact of the title based on typical academic or professional
      standards.\n\nThis is the expected criteria for your final answer: Your best
      answer to your coworker asking you this, accounting for the context shared.\nyou
      MUST return the actual complete content as the final answer, not a summary.\n\nThis
      is the context you''re working with:\nThe title to score is ''The impact of
      AI in the future of work''. The score should be an integer from 1 to 5, where
      1 indicates poor quality or low relevance, and 5 indicates excellent quality
      or high relevance.\n\nBegin! This is VERY important to you, use the tools available
      and give your best Final Answer, your job depends on it!\n\nThought:"}],"model":"gpt-4.1-mini"}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '1371'
      content-type:
      - application/json
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-D0tqi6KcLST5RyQSQpxlLsRP9aKWz\",\n  \"object\":
        \"chat.completion\",\n  \"created\": 1769107056,\n  \"model\": \"gpt-4.1-mini-2025-04-14\",\n
        \ \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\":
        \"assistant\",\n        \"content\": \"Thought: I now can give a great answer\\nFinal
        Answer: 4\\n\\nThe title \\\"The impact of AI in the future of work\\\" is
        clear, relevant, and captures a significant and timely topic that is highly
        pertinent in academic and professional discussions about technology and labor
        markets. It succinctly indicates the subject (AI) and its effect (impact)
        on a specific domain (the future of work). However, the title could be made
        more precise or engaging by specifying aspects such as which impacts (economic,
        social, ethical) or which sectors of work. Nonetheless, as a general, straightforward
        title, it effectively sets the expectation for a study or discussion on this
        important subject area, warranting a strong score of 4 out of 5.\",\n        \"refusal\":
        null,\n        \"annotations\": []\n      },\n      \"logprobs\": null,\n
        \     \"finish_reason\": \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\":
        277,\n    \"completion_tokens\": 150,\n    \"total_tokens\": 427,\n    \"prompt_tokens_details\":
        {\n      \"cached_tokens\": 0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\":
        {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\":
        0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\":
        \"default\",\n  \"system_fingerprint\": \"fp_376a7ccef1\"\n}\n"
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Thu, 22 Jan 2026 18:37:39 GMT
      Server:
      - cloudflare
      Set-Cookie:
      - SET-COOKIE-XXX
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      access-control-expose-headers:
      - ACCESS-CONTROL-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '2829'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      x-envoy-upstream-service-time:
      - '2855'
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
- request:
    body: '{"messages":[{"role":"system","content":"You are Manager. You''re great
      at delegating work about scoring.\nYour personal goal is: Coordinate scoring
      processes"},{"role":"user","content":"\nCurrent Task: Give me an integer score
      between 1-5 for the following title: ''The impact of AI in the future of work''\n\nThis
      is the expected criteria for your final answer: The score of the title.\nyou
      MUST return the actual complete content as the final answer, not a summary.\n\nThis
      is VERY important to you, your job depends on it!"},{"role":"assistant","content":null,"tool_calls":[{"id":"call_d2uLPzeX0XgOMlTOhEs7vPXa","type":"function","function":{"name":"Delegate_work_to_coworker","arguments":"{\"task\":\"Provide
      an integer score between 1 and 5 for the title: ''The impact of AI in the future
      of work''. The score should reflect the relevance, clarity, and potential impact
      of the title based on typical academic or professional standards.\",\"context\":\"The
      title to score is ''The impact of AI in the future of work''. The score should
      be an integer from 1 to 5, where 1 indicates poor quality or low relevance,
      and 5 indicates excellent quality or high relevance.\",\"coworker\":\"Scorer\"}"}}]},{"role":"tool","tool_call_id":"call_d2uLPzeX0XgOMlTOhEs7vPXa","content":"4\n\nThe
      title \"The impact of AI in the future of work\" is clear, relevant, and captures
      a significant and timely topic that is highly pertinent in academic and professional
      discussions about technology and labor markets. It succinctly indicates the
      subject (AI) and its effect (impact) on a specific domain (the future of work).
      However, the title could be made more precise or engaging by specifying aspects
      such as which impacts (economic, social, ethical) or which sectors of work.
      Nonetheless, as a general, straightforward title, it effectively sets the expectation
      for a study or discussion on this important subject area, warranting a strong
      score of 4 out of 5."},{"role":"user","content":"Analyze the tool result. If
      requirements are met, provide the Final Answer. Otherwise, call the next tool.
      Deliver only the answer without meta-commentary."}],"model":"gpt-4.1-mini","tool_choice":"auto","tools":[{"type":"function","function":{"name":"Delegate_work_to_coworker","description":"Delegate
      a specific task to one of the following coworkers: Scorer\nThe input to this
      tool should be the coworker, the task you want them to do, and ALL necessary
      context to execute the task, they know nothing about the task, so share absolutely
      everything you know, don''t reference things but instead explain them.","parameters":{"properties":{"task":{"description":"The
      task to delegate","title":"Task","type":"string"},"context":{"description":"The
      context for the task","title":"Context","type":"string"},"coworker":{"description":"The
      role/name of the coworker to delegate to","title":"Coworker","type":"string"}},"required":["task","context","coworker"],"type":"object"}}},{"type":"function","function":{"name":"Ask_question_to_coworker","description":"Ask
      a specific question to one of the following coworkers: Scorer\nThe input to
      this tool should be the coworker, the question you have for them, and ALL necessary
      context to ask the question properly, they know nothing about the question,
      so share absolutely everything you know, don''t reference things but instead
      explain them.","parameters":{"properties":{"question":{"description":"The question
      to ask","title":"Question","type":"string"},"context":{"description":"The context
      for the question","title":"Context","type":"string"},"coworker":{"description":"The
      role/name of the coworker to ask","title":"Coworker","type":"string"}},"required":["question","context","coworker"],"type":"object"}}}]}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '3722'
      content-type:
      - application/json
      cookie:
      - COOKIE-XXX
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-D0tqlePZ02eeiZL1TDBIRSTXCU0LJ\",\n  \"object\":
        \"chat.completion\",\n  \"created\": 1769107059,\n  \"model\": \"gpt-4.1-mini-2025-04-14\",\n
        \ \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\":
        \"assistant\",\n        \"content\": \"4\",\n        \"refusal\": null,\n
        \       \"annotations\": []\n      },\n      \"logprobs\": null,\n      \"finish_reason\":
        \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 683,\n    \"completion_tokens\":
        2,\n    \"total_tokens\": 685,\n    \"prompt_tokens_details\": {\n      \"cached_tokens\":
        0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\":
        {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\":
        0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\":
        \"default\",\n  \"system_fingerprint\": \"fp_376a7ccef1\"\n}\n"
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Thu, 22 Jan 2026 18:37:40 GMT
      Server:
      - cloudflare
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      access-control-expose-headers:
      - ACCESS-CONTROL-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '659'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      x-envoy-upstream-service-time:
      - '908'
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
